Subject: Re: linux-next: build failure after merge of the input-current tree

From: "Rafael J. Wysocki" <[email-masked]>
Date: Thu, 20 Sep 2018 10:02:24 +0200

On Wednesday, September 19, 2018 12:32:03 AM CEST Dmitry Torokhov wrote:
> On Tue, Sep 18, 2018 at 3:25 PM Stephen Rothwell <[email-masked]> wrote:
> >
> > Hi Dmitry,
> >
> > After merging the input-current tree, today's linux-next build (x86_64
> > allmodconfig) failed like this:
> >
> > ERROR: "mem_sleep_current" [drivers/input/serio/i8042.ko] undefined!
> >
> > Caused by commit
> >
> >   1685830e59d4 ("Input: i8042 - enable keyboard wakeups by default when s2idle is used")
> >
> > I have used the version of input-current from next-20180918 for today.
> 
> Ugh, sorry, I dropped that patch from my tree for now.
> 
> Daniel, Rafael, I guess we can't make pm_suspend_via_s2idle() static
> inline, but instead move it into kernel/power/suspend.c and make it
> EXPORT_SYMBOL().

Either that, or mem_sleep_current would need to be exported.  Sorry for
missing that.

Daniel, I prefer the wrapper to be a regular function in suspend.c.

Thanks,
Rafael